TTF_SetTextString(3)

NAME
TTF_SetTextString - Set the UTF-8 text used by a text object.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_SetTextString(TTF_Text *text, const char *string, size_t length);

DESCRIPTION
This function may cause the internal text representation to be rebuilt.

FUNCTION PARAMETERS

text
    the TTF_Text
     to modify.

string
    the UTF-8 text to use, may be NULL.

length
    the length of the text, in bytes, or 0 for null terminated text.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_AppendTextString(3), •(3), TTF_DeleteTextString(3), •(3), TTF_InsertTextString(3)